* {
  margin: 0;
  padding: 0;
}
/*Header*/
html {
  font-size: 14px;
}
/*-----------------------------------------------------------------------*/
.sectionArticle {
  padding: 0.7em 0;
}
.containerArticle {
  padding: 0.7em;
}
.entete {
  margin: 1em 0;
}
.entete h1 {
  font-size: clamp(0.2rem, 6vw, 2.5rem);
  margin: 0.7em 0;
}
.entete span {
  font-size: clamp(0.01rem, 3.4vw, 1rem);
  color: #565656;
}
.containerCouverture {
  margin: 0.7em 0;
}
.containerCouverture img {
  width: 100%;
  height: 100%;
}
.acticlePara p {
  font-size: clamp(0.1rem, 3.8vw, 1.5rem);
  margin-bottom: 0.5em;
  line-height: 1.5;
}
.partager {
  display: flex;
  justify-content: center;
  gap: 10px;
  background-color: #88a0b9;
  padding: 0.5em;
}
.containerSocialpartage {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  gap: 08px;
}
.containerSocialpartage a svg {
  width: 20px;
}

/* Partie pour la publicité*/
.publicite1 {
  height: 20vh;
}
.conteneur-publicite {
  width: 100%;
  height: 100%;
}
.conteneur-publicite img {
  width: 100%;
  height: 100%;
}

/*Pour la proposition des articles:*/
.articlePropose {
  padding: 1em 0.5em 0.5em 0.5em;
}
.articlePropose h2 {
  font-size: clamp(0.3rem, 10vw, 2rem);
  margin: 0.5em 0;
}
.articlesPropos {
  overflow: hidden;
}
.articleProp {
  display: flex;
  gap: 0.3em;
  margin-bottom: 1em;
  align-items: stretch;
}
.containerImageProp {
  flex: 0 0 40%;
}
.containerImageProp img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.propInfo {
  flex: 0 0 60%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
.propInfo a {
  text-decoration: none;
  color: #000000;
  font-size: clamp(0.1rem, 3.7vw, 1.5em);
  line-height: 1.4;
}
.propInfo span {
  font-size: clamp(0.01rem, 3.4vw, 1.2rem);
  color: #565656;
}

/*Reponsive pour ordinateur*/
@media screen and (min-width: 450px) {
  .sectionArticle {
    padding: 1em 0;
  }
  .containerArticle {
    padding: 1em;
  }
  .partager {
    display: flex;
    justify-content: center;
    gap: 10px;
    background-color: #88a0b9;
    padding: 1em;
  }
  .partager h3 {
    font-size: 1.9rem;
  }
  .containerSocialpartage a svg {
    width: 30px;
  }
  /*Publicité*/
  .publicite1 {
    height: 30vh;
  }
}

/*Pour les grandes Ecrans: Ordi...*/
@media screen and (min-width: 800px) {
  /*Gestion de l'article*/
  .sectionArticle {
    display: flex;
    gap: 5px;
    align-items: stretch;
    padding: 2em;
  }
  .gesArtcile {
    flex: 0 0 70%;
  }
  .containerCouverture {
    width: 100%;
  }
  /*Section publicité*/
  .publicite1 {
    height: max-content;
    padding: 2em;
    display: flex;
    justify-content: center;
    border-bottom: 1px solid #0d1b2a;
  }
  .conteneur-publicite {
    width: 80%;
    height: auto;
  }
  /*Section Article proposé*/
  .articlePropose {
    padding: 3rem;
  }
  .articlesPropos {
    display: flex;
    justify-content: flex-start;
    flex-wrap: wrap;
    overflow: hidden;
    gap: 25px;
    width: fit-content;
  }
  .articleProp {
    flex-direction: column;
    width: 30%;
    flex-shrink: 1;
    height: max-content;
    padding: 0;
  }
  
}
